config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

config etc/default/tlp.new
preserve_perms etc/rc.d/rc.tlp.new
( cd usr/bin ; rm -rf run-on-bat )
( cd usr/bin ; ln -sf run-on-ac run-on-bat )
( cd usr/bin ; rm -rf wifi )
( cd usr/bin ; ln -sf bluetooth wifi )
( cd usr/bin ; rm -rf wwan )
( cd usr/bin ; ln -sf bluetooth wwan )
( cd usr/share/bash-completion/completions ; rm -rf bluetooth )
( cd usr/share/bash-completion/completions ; ln -sf tlp bluetooth )
( cd usr/share/bash-completion/completions ; rm -rf tlp-stat )
( cd usr/share/bash-completion/completions ; ln -sf tlp tlp-stat )
( cd usr/share/bash-completion/completions ; rm -rf wifi )
( cd usr/share/bash-completion/completions ; ln -sf tlp wifi )
( cd usr/share/bash-completion/completions ; rm -rf wwan )
( cd usr/share/bash-completion/completions ; ln -sf tlp wwan )
